summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorunknown <unknown@localhost.(none)>2008-08-08 20:58:17 +0200
committerunknown <unknown@localhost.(none)>2008-08-08 20:58:17 +0200
commitf7abc08c16f88c93f5ed8e234648a8574888eaf4 (patch)
treebdc4811ee22f813c8b53bc9f779732a6a7de4d99 /autogen.sh
parent7783f9b3f530f3129bca567a61b257283523012c (diff)
add execution of libtoolize to autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 8f66b3ba..f5590e6b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -84,6 +84,43 @@ do
fi
done
+if test -n "$LIBTOOLIZE"
+then
+ echo "LIBTOOLIZE=$LIBTOOLIZE in environment," \
+ "will not attempt to auto-detect"
+else
+ printf "checking for libtoolize ... "
+ for x in libtoolize glibtoolize
+ do
+ ($x --version < /dev/null > /dev/null 2>&1) > /dev/null 2>&1
+ if test $? -eq 0
+ then
+ echo $x
+ LIBTOOLIZE=$x
+ break
+ fi
+ done
+fi
+
+if test -z "$LIBTOOLIZE"
+then
+ DIE="$DIE libtoolize(libtool)"
+fi
+
+if test -n "$DIE"
+then
+ echo "You must have the following installed to compile $package:"
+ for i in $DIE
+ do
+ printf ' '
+ echo $i | sed -e 's/(/ (from /' -e 's/=\(.*\)/ (>= \1)/'
+ done
+ echo "Download the appropriate package(s) for your system,"
+ echo "or get the source from one of the GNU ftp sites"
+ echo "listed in http://www.gnu.org/order/ftp.html"
+ exit 1
+fi
+
echo "Generating configuration files for $package, please wait...."
ACLOCAL_FLAGS="$ACLOCAL_FLAGS"
@@ -111,6 +148,9 @@ $ACLOCAL $ACLOCAL_FLAGS || exit 1
echo " $AUTOHEADER"
$AUTOHEADER || exit 1
+echo " $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake || exit 1
+
echo " $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1